%define oname   papyon
%define subrel 2
Name:           python-papyon
Version:        0.5.5
Release:        %mkrel 2
Summary:        Python libraries for MSN Messenger network

Group:          Development/Python
License:        GPLv2+
URL:            http://www.freedesktop.org/wiki/Software/papyon
Source0:        http://www.freedesktop.org/software/papyon/releases/%{oname}-%{version}.tar.gz	
Patch0:         papyon-0.5.5-fix-hotmail-login.patch
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-pycrypto
BuildRequires:  python-OpenSSL
BuildRequires:  python-gobject

Requires:       python-pycrypto
Requires:       python-OpenSSL
Requires:       python-gobject
Requires:       gstreamer0.10-python
Requires:       python-farsight2

%description
papyon is the library behind the msn connection manager for telepathy. It is a
a fork of the unmaintained pymsn msn library. papyon uses the glib mainloop to
process the network events in an asynchronous manner. 

%prep
%setup -q -n %{oname}-%{version}
%apply_patches

%build
%{__python} setup.py build

# remove shebang
sed -i 's,\#!/usr/bin/env python,,' test.py papyon/msnp2p/test.py

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS NEWS
%{python_sitelib}/papyon
%{python_sitelib}/papyon-*.egg-info


%changelog

* Sat Nov 19 2011 mikala <mikala> 0.5.5-2.2.mga1
+ Revision: 169143
- Fix patch0
- Add patch0 to fix login on hotmail server

* Wed Apr 27 2011 ahmad <ahmad> 0.5.5-2.mga1
+ Revision: 91937
- Add more BR
- Remove shebang
- Update to 0.5.5
- Update Url and Source0 urls
- Drop BR avahi-python
- Add requires on gstreamer0.10-python and python-farsight2
- imported package python-papyon


* Wed Nov 03 2010 Götz Waschk <waschk@mandriva.org> 0.5.2-2mdv2011.0
+ Revision: 592938
- rebuild for new python 2.7

* Mon Oct 25 2010 Luis Medinas <lmedinas@mandriva.org> 0.5.2-1mdv2011.0
+ Revision: 589260
- Bump to 0.5.2.
  Added python-pycrypto to Requires.

* Sat Aug 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.9-1mdv2011.0
+ Revision: 567231
- update to 0.4.9

* Fri Apr 16 2010 Frederik Himpe <fhimpe@mandriva.org> 0.4.6-1mdv2010.1
+ Revision: 535563
- update to new version 0.4.6

* Wed Jan 20 2010 Frederik Himpe <fhimpe@mandriva.org> 0.4.4-1mdv2010.1
+ Revision: 494175
- update to new version 0.4.4

* Mon Oct 19 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.3-1mdv2010.0
+ Revision: 458301
- update to new version 0.4.3

* Wed Sep 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.2-1mdv2010.0
+ Revision: 435979
- Update to new versio n0.4.2:
  * Does not depend on pyCrypto anymore
  * support for audio and video conferences

* Tue Jul 28 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.1-1mdv2010.0
+ Revision: 402830
- Update to new version 0.4.1

* Wed Jul 08 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.0-1mdv2010.0
+ Revision: 393668
- First papyon package, based on python-pymsn package
- create python-papyon

